Loading...
Searching...
No Matches
BALL::AssignBondOrderProcessor::Algorithm Struct Reference

`#include <BALL/STRUCTURE/assignBondOrderProcessor.h>`

## Static Public Attributes

static const String | A_STAR
static const String | ILP
static const String | FPT
static const String | K_GREEDY
static const String | BRANCH_AND_BOUND

## Detailed Description

Definition at line 250 of file assignBondOrderProcessor.h.

## Member Data Documentation

## A_STAR

const String BALL::AssignBondOrderProcessor::Algorithm::A_STAR

static

Solves the problem using an A* formulation.

Definition at line 255 of file assignBondOrderProcessor.h.

## BRANCH_AND_BOUND

const String BALL::AssignBondOrderProcessor::Algorithm::BRANCH_AND_BOUND

static

Definition at line 297 of file assignBondOrderProcessor.h.

## FPT

const String BALL::AssignBondOrderProcessor::Algorithm::FPT

static

Solves the problem using an FPT algorithm.

  NOTE: This algorithm does not support the method computeNextSolution() by design. Instead, you can use the options Option:MAX_NUMBER_OF_SOLUTIONS and Option::COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS to create an ensemble of solutions.

Furthermore, this option currently cannot be combined with the options: Option::USE_FINE_PENALTY , Option::BOND_LENGTH_WEIGHTING , Option::ADD_HYDROGENS , Option::COMPUTE_ALSO_CONNECTIVITY,
Option::OVERWRITE_SELECTED_BONDS, and the special hack Option::MAX_NUMBER_OF_SOLUTIONS==0 to enumerate all optimal solutions.

See also
  Option::USE_FINE_PENALTY,
  Option::BOND_LENGTH_WEIGHTING,
  Option::ADD_HYDROGENS,
  Option::COMPUTE_ALSO_CONNECTIVITY,
  Option::OVERWRITE_SELECTED_BONDS
  Option::MAX_NUMBER_OF_SOLUTIONS

Definition at line 294 of file assignBondOrderProcessor.h.

## ILP

const String BALL::AssignBondOrderProcessor::Algorithm::ILP

static

Solves the problem using an ILP.

  NOTE: This option requires an ILP solver and currently cannot be combined with the options Option::USE_FINE_PENALTY , Option::BOND_LENGTH_WEIGHTING, Option::ADD_HYDROGENS, or Option::COMPUTE_ALSO_CONNECTIVITY .

Definition at line 267 of file assignBondOrderProcessor.h.

## K_GREEDY

const String BALL::AssignBondOrderProcessor::Algorithm::K_GREEDY

static

Definition at line 296 of file assignBondOrderProcessor.h.